package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 规则详情对象 act_supplies_role_detail
 * 
 * @author dongjg
 * @date 2023-07-12
 */
public class ActSuppliesRoleDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 规则详情ID */
    private Long id;

    /** 导入规则ID */
    private Integer roleId;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String detailName;

    /** 导入数据行列*/
    private String[] detailMH;
    private String[] detailML;
    private String[] detailYH;
    private String[] detailYL;
    private String detailYS;

    /** 清洗规则*/
    private String cleanIng;

    /**所属规则*/
    @Excel(name = "所属规则")
    private String roleName;

    private Integer detaId;

    /** 规则内容 */
    @Excel(name = "规则内容")
    private String detailContent;

    /**运算规则*/
    @Excel(name = "运算规则",readConverterExp = "0=无,1=物料转换,2=加法运算,3=减法运算,4=乘法运算,5=除法运算")
    private Integer convertStatus;

    /** 状态 */
    @Excel(name = "状态",readConverterExp = "0=启用,1=禁用")
    private Integer status;

    public String getCleanIng() {
        return cleanIng;
    }

    public void setCleanIng(String cleanIng) {
        this.cleanIng = cleanIng;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Integer getDetaId() {
        return detaId;
    }

    public void setDetaId(Integer detaId) {
        this.detaId = detaId;
    }

    public String getDetailYS() {
        return detailYS;
    }

    public void setDetailYS(String detailYS) {
        this.detailYS = detailYS;
    }

    public Integer getConvertStatus() {
        return convertStatus;
    }

    public void setConvertStatus(Integer convertStatus) {
        this.convertStatus = convertStatus;
    }

    public String[] getDetailMH() {
        return detailMH;
    }

    public void setDetailMH(String[] detailMH) {
        this.detailMH = detailMH;
    }

    public String[] getDetailML() {
        return detailML;
    }

    public void setDetailML(String[] detailML) {
        this.detailML = detailML;
    }

    public String[] getDetailYH() {
        return detailYH;
    }

    public void setDetailYH(String[] detailYH) {
        this.detailYH = detailYH;
    }

    public String[] getDetailYL() {
        return detailYL;
    }

    public void setDetailYL(String[] detailYL) {
        this.detailYL = detailYL;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRoleId(Integer roleId) 
    {
        this.roleId = roleId;
    }

    public Integer getRoleId() 
    {
        return roleId;
    }
    public void setDetailName(String detailName) 
    {
        this.detailName = detailName;
    }

    public String getDetailName() 
    {
        return detailName;
    }
    public void setDetailContent(String detailContent) 
    {
        this.detailContent = detailContent;
    }

    public String getDetailContent() 
    {
        return detailContent;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("roleId", getRoleId())
            .append("detailName", getDetailName())
            .append("detailContent", getDetailContent())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
